Intermittent PROCESS-CRASH | Main app process exited normally | application crashed [@ nsDocShell::ResumeRedirectedLoad(unsigned long, int)::$_2::operator()(nsIChildChannel*) const]

RESOLVED FIXED in Firefox 68

Status

()

defect
--
critical
RESOLVED FIXED
5 months ago
2 months ago

People

(Reporter: intermittent-bug-filer, Assigned: Nika)

Tracking

(Regression, {crash, intermittent-failure, regression})

unspecified
mozilla68
Points:
---

Firefox Tracking Flags

(firefox-esr60 unaffected, firefox67 wontfix, firefox68 fixed)

Details

(Whiteboard: [stockwell unknown], crash signature)

Attachments

(2 attachments)

#[markdown(off)]
Filed by: shindli [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=234285583&repo=autoland

https://queue.taskcluster.net/v1/task/R9-ZNMr0TJS_jQ04l-YrqQ/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - Browser Chrome Test Summary
[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - Passed: 118
[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - Failed: 0
[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - Todo: 0
[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - Mode: e10s
[task 2019-03-16T01:11:59.194Z] 01:11:59 INFO - *** End BrowserChrome Test Results ***
[task 2019-03-16T01:11:59.524Z] 01:11:59 INFO - GECKO(2777) | [Parent 2777, Gecko_IOThread] WARNING: pipe error (245): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 357
[task 2019-03-16T01:11:59.747Z] 01:11:59 INFO - GECKO(2777) | 1552698719738 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2019-03-16T01:11:59.750Z] 01:11:59 INFO - GECKO(2777) | 1552698719738 Marionette INFO Stopped listening on port 2828
[task 2019-03-16T01:11:59.750Z] 01:11:59 INFO - GECKO(2777) | 1552698719739 Marionette DEBUG Remote service is inactive
[task 2019-03-16T01:12:00.148Z] 01:12:00 INFO - TEST-INFO | Main app process: exit 0
[task 2019-03-16T01:12:00.148Z] 01:12:00 INFO - runtests.py | Application ran for: 0:00:26.148071
[task 2019-03-16T01:12:00.149Z] 01:12:00 INFO - zombiecheck | Reading PID log: /tmp/tmpKvAJVOpidlog
[task 2019-03-16T01:12:00.151Z] 01:12:00 INFO - ==> process 2777 launched child process 2802
[task 2019-03-16T01:12:00.152Z] 01:12:00 INFO - ==> process 2777 launched child process 2872
[task 2019-03-16T01:12:00.154Z] 01:12:00 INFO - ==> process 2777 launched child process 2891
[task 2019-03-16T01:12:00.155Z] 01:12:00 INFO - ==> process 2777 launched child process 2951
[task 2019-03-16T01:12:00.156Z] 01:12:00 INFO - ==> process 2777 launched child process 2982
[task 2019-03-16T01:12:00.157Z] 01:12:00 INFO - ==> process 2777 launched child process 2996
[task 2019-03-16T01:12:00.158Z] 01:12:00 INFO - ==> process 2777 launched child process 3059
[task 2019-03-16T01:12:00.160Z] 01:12:00 INFO - ==> process 2777 launched child process 3097
[task 2019-03-16T01:12:00.161Z] 01:12:00 INFO - ==> process 2777 launched child process 3114
[task 2019-03-16T01:12:00.162Z] 01:12:00 INFO - ==> process 2777 launched child process 3154
[task 2019-03-16T01:12:00.162Z] 01:12:00 INFO - ==> process 2777 launched child process 3186
[task 2019-03-16T01:12:00.163Z] 01:12:00 INFO - ==> process 2777 launched child process 3232
[task 2019-03-16T01:12:00.164Z] 01:12:00 INFO - ==> process 2777 launched child process 3241
[task 2019-03-16T01:12:00.164Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3232
[task 2019-03-16T01:12:00.165Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3186
[task 2019-03-16T01:12:00.166Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2982
[task 2019-03-16T01:12:00.167Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2951
[task 2019-03-16T01:12:00.178Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3241
[task 2019-03-16T01:12:00.178Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3114
[task 2019-03-16T01:12:00.178Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2891
[task 2019-03-16T01:12:00.178Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3154
[task 2019-03-16T01:12:00.178Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2802
[task 2019-03-16T01:12:00.179Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3059
[task 2019-03-16T01:12:00.179Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2996
[task 2019-03-16T01:12:00.179Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 2872
[task 2019-03-16T01:12:00.180Z] 01:12:00 INFO - zombiecheck | Checking for orphan process with PID: 3097
[task 2019-03-16T01:12:00.180Z] 01:12:00 INFO - mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/OTJ98CRNRjGGvL_MyyKPQQ/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-03-16T01:12:07.793Z] 01:12:07 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmp88dEPN.mozrunner/minidumps/2f6c5426-a3c3-f61e-810d-d436a63c0623.dmp /tmp/tmpmLSkpB
[task 2019-03-16T01:12:19.021Z] 01:12:19 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/2f6c5426-a3c3-f61e-810d-d436a63c0623.dmp

Moving these bugs (intermittent test failures with crashes) out of P5.

Priority: P5 → --

There are 20 total failures in the last 7 days on Linux platform: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-21&endday=2019-04-28&tree=trunk&bug=1535800

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=243022343&repo=autoland&lineNumber=2094

[task 2019-04-26T23:45:19.002Z] 23:45:19 INFO - TEST-START | browser/base/content/test/permissions/browser_temporary_permissions_tabs.js
[task 2019-04-26T23:45:33.718Z] 23:45:33 INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ nsDocShell::ResumeRedirectedLoad(unsigned long long, int)::$_2::operator()(nsIChildChannel*) const]
[task 2019-04-26T23:45:33.720Z] 23:45:33 INFO - Crash dump filename: /tmp/tmprLeRrI.mozrunner/minidumps/5d5ed4c6-1ba5-edbc-b2e8-5d59fd5a3f5b.dmp
[task 2019-04-26T23:45:33.722Z] 23:45:33 INFO - Operating system: Linux
[task 2019-04-26T23:45:33.724Z] 23:45:33 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2019-04-26T23:45:33.725Z] 23:45:33 INFO - CPU: x86
[task 2019-04-26T23:45:33.727Z] 23:45:33 INFO - GenuineIntel family 6 model 62 stepping 4
[task 2019-04-26T23:45:33.728Z] 23:45:33 INFO - 2 CPUs
[task 2019-04-26T23:45:33.730Z] 23:45:33 INFO -
[task 2019-04-26T23:45:33.732Z] 23:45:33 INFO - GPU: UNKNOWN
[task 2019-04-26T23:45:33.733Z] 23:45:33 INFO -
[task 2019-04-26T23:45:33.735Z] 23:45:33 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-04-26T23:45:33.736Z] 23:45:33 INFO - Crash address: 0x18
[task 2019-04-26T23:45:33.738Z] 23:45:33 INFO - Process uptime: not available
[task 2019-04-26T23:45:33.739Z] 23:45:33 INFO -
[task 2019-04-26T23:45:33.741Z] 23:45:33 INFO - Thread 0 (crashed)
[task 2019-04-26T23:45:33.742Z] 23:45:33 INFO - 0 libxul.so!nsDocShell::ResumeRedirectedLoad(unsigned long long, int)::$_2::operator()(nsIChildChannel*) const [nsDocShell.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 13097 + 0x8]
[task 2019-04-26T23:45:33.744Z] 23:45:33 INFO - eip = 0xf0c957df esp = 0xffa5a8b0 ebp = 0xffa5a8e8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.745Z] 23:45:33 INFO - esi = 0xe8545948 edi = 0xffa5a910 eax = 0x00000001 ecx = 0x00000000
[task 2019-04-26T23:45:33.747Z] 23:45:33 INFO - edx = 0xf7340bc8 efl = 0x00210202
[task 2019-04-26T23:45:33.749Z] 23:45:33 INFO - Found by: given as instruction pointer in context
[task 2019-04-26T23:45:33.750Z] 23:45:33 INFO - 1 libxul.so!std::_Function_handler<void (nsIChildChannel*), nsDocShell::ResumeRedirectedLoad(unsigned long long, int)::$_2>::_M_invoke(std::_Any_data const&, nsIChildChannel*&&) [functional:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 1731 + 0x5]
[task 2019-04-26T23:45:33.752Z] 23:45:33 INFO - eip = 0xf0c95730 esp = 0xffa5a8f0 ebp = 0xffa5a8f8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.753Z] 23:45:33 INFO - esi = 0xe88b4040 edi = 0xffa5a910
[task 2019-04-26T23:45:33.754Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.756Z] 23:45:33 INFO - 2 libxul.so!mozilla::dom::ChildProcessChannelListener::OnChannelReady(nsIChildChannel*, unsigned long long) [ChildProcessChannelListener.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 26 + 0x16]
[task 2019-04-26T23:45:33.756Z] 23:45:33 INFO - eip = 0xf0c74063 esp = 0xffa5a900 ebp = 0xffa5a938 ebx = 0xf5382000
[task 2019-04-26T23:45:33.759Z] 23:45:33 INFO - esi = 0xe88b4040 edi = 0xffa5a910
[task 2019-04-26T23:45:33.760Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.762Z] 23:45:33 INFO - 3 libxul.so!mozilla::dom::ContentChild::RecvCrossProcessRedirect(unsigned int const&, nsIURI*, unsigned int const&, mozilla::Maybe<mozilla::net::LoadInfoArgs> const&, unsigned long long const&, nsIURI*, unsigned long long const&) [ContentChild.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 3594 + 0x15]
[task 2019-04-26T23:45:33.763Z] 23:45:33 INFO - eip = 0xefddf017 esp = 0xffa5a940 ebp = 0xffa5a988 ebx = 0xf5382000
[task 2019-04-26T23:45:33.764Z] 23:45:33 INFO - esi = 0xe8903000 edi = 0xffa5b120
[task 2019-04-26T23:45:33.765Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.766Z] 23:45:33 INFO - 4 libxul.so!mozilla::dom::PContentChild::OnMessageReceived(IPC::Message const&) [PContentChild.cpp: : 10098 + 0x52]
[task 2019-04-26T23:45:33.767Z] 23:45:33 INFO - eip = 0xee330a65 esp = 0xffa5a990 ebp = 0xffa5b148 ebx = 0xf5382000
[task 2019-04-26T23:45:33.768Z] 23:45:33 INFO - esi = 0xe859f240 edi = 0xffa5aa60
[task 2019-04-26T23:45:33.769Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.770Z] 23:45:33 INFO - 5 libxul.so!mozilla::ipc::MessageChannel::DispatchMessage(IPC::Message&&) [MessageChannel.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 2151 + 0xf]
[task 2019-04-26T23:45:33.771Z] 23:45:33 INFO - eip = 0xf19a646c esp = 0xffa5b150 ebp = 0xffa5b218 ebx = 0xf5382000
[task 2019-04-26T23:45:33.772Z] 23:45:33 INFO - esi = 0xf71920c0 edi = 0x00000001
[task 2019-04-26T23:45:33.772Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.774Z] 23:45:33 INFO - 6 libxul.so!mozilla::ipc::MessageChannel::MessageTask::Run() [MessageChannel.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 1968 + 0xa8]
[task 2019-04-26T23:45:33.774Z] 23:45:33 INFO - eip = 0xf19a7287 esp = 0xffa5b220 ebp = 0xffa5b248 ebx = 0xf5382000
[task 2019-04-26T23:45:33.775Z] 23:45:33 INFO - esi = 0xe85c05a8 edi = 0xe85c0580
[task 2019-04-26T23:45:33.776Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.777Z] 23:45:33 INFO - 7 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 1180 + 0x8]
[task 2019-04-26T23:45:33.778Z] 23:45:33 INFO - eip = 0xf13d3555 esp = 0xffa5b250 ebp = 0xffa5b738 ebx = 0xf5382000
[task 2019-04-26T23:45:33.779Z] 23:45:33 INFO - esi = 0xf715f900 edi = 0x00000000
[task 2019-04-26T23:45:33.780Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.782Z] 23:45:33 INFO - 8 libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 110 + 0x17]
[task 2019-04-26T23:45:33.782Z] 23:45:33 INFO - eip = 0xf19a8514 esp = 0xffa5b740 ebp = 0xffa5b788 ebx = 0xf5382000
[task 2019-04-26T23:45:33.784Z] 23:45:33 INFO - esi = 0xf715f900 edi = 0xf71c9a00
[task 2019-04-26T23:45:33.785Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.786Z] 23:45:33 INFO - 9 libxul.so!mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate*) [MessagePump.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 271 + 0xf]
[task 2019-04-26T23:45:33.786Z] 23:45:33 INFO - eip = 0xee27514b esp = 0xffa5b790 ebp = 0xffa5b7b8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.787Z] 23:45:33 INFO - esi = 0xffa5b888 edi = 0xffa5b888
[task 2019-04-26T23:45:33.787Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.789Z] 23:45:33 INFO - 10 libxul.so!MessageLoop::Run() [message_loop.cc:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 290 + 0xc]
[task 2019-04-26T23:45:33.789Z] 23:45:33 INFO - eip = 0xf1994861 esp = 0xffa5b7c0 ebp = 0xffa5b7e8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.790Z] 23:45:33 INFO - esi = 0xf715f900 edi = 0xf71c9a60
[task 2019-04-26T23:45:33.790Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.791Z] 23:45:33 INFO - 11 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 137 + 0xd]
[task 2019-04-26T23:45:33.791Z] 23:45:33 INFO - eip = 0xf0063296 esp = 0xffa5b7f0 ebp = 0xffa5b808 ebx = 0xf5382000
[task 2019-04-26T23:45:33.792Z] 23:45:33 INFO - esi = 0xf715f900 edi = 0xf71c9a60
[task 2019-04-26T23:45:33.792Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.792Z] 23:45:33 INFO - 12 libxul.so!XRE_RunAppShell() [nsEmbedFunctions.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 919 + 0x8]
[task 2019-04-26T23:45:33.793Z] 23:45:33 INFO - eip = 0xf0f80437 esp = 0xffa5b810 ebp = 0xffa5b828 ebx = 0xf5382000
[task 2019-04-26T23:45:33.793Z] 23:45:33 INFO - esi = 0xf7187800 edi = 0xf7187800
[task 2019-04-26T23:45:33.793Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.794Z] 23:45:33 INFO - 13 libxul.so!MessageLoop::Run() [message_loop.cc:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 290 + 0xc]
[task 2019-04-26T23:45:33.794Z] 23:45:33 INFO - eip = 0xf1994861 esp = 0xffa5b830 ebp = 0xffa5b858 ebx = 0xf5382000
[task 2019-04-26T23:45:33.795Z] 23:45:33 INFO - esi = 0xf7187800 edi = 0xf7187800
[task 2019-04-26T23:45:33.795Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.795Z] 23:45:33 INFO - 14 libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 757 + 0xe]
[task 2019-04-26T23:45:33.796Z] 23:45:33 INFO - eip = 0xf0f801f8 esp = 0xffa5b860 ebp = 0xffa5b9c8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.796Z] 23:45:33 INFO - esi = 0xf7187800 edi = 0xf7187800
[task 2019-04-26T23:45:33.796Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.797Z] 23:45:33 INFO - 15 libxul.so!mozilla::BootstrapImpl::XRE_InitChildProcess(int, char**, XREChildData const*) [Bootstrap.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 67 + 0x11]
[task 2019-04-26T23:45:33.797Z] 23:45:33 INFO - eip = 0xf0f85392 esp = 0xffa5b9d0 ebp = 0xffa5b9e8 ebx = 0xf5382000
[task 2019-04-26T23:45:33.798Z] 23:45:33 INFO - esi = 0xf7110388 edi = 0x00000013
[task 2019-04-26T23:45:33.799Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.799Z] 23:45:33 INFO - 16 firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 56 + 0xe]
[task 2019-04-26T23:45:33.799Z] 23:45:33 INFO - eip = 0x566367d8 esp = 0xffa5b9f0 ebp = 0xffa5ba18 ebx = 0x5666c000
[task 2019-04-26T23:45:33.800Z] 23:45:33 INFO - esi = 0xf7110388 edi = 0x00000013
[task 2019-04-26T23:45:33.800Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.800Z] 23:45:33 INFO - 17 firefox-bin!main [nsBrowserApp.cpp:0e3eef30f66b0c5fe6886f46011f7e7210cbfab2 : 263 + 0x10]
[task 2019-04-26T23:45:33.801Z] 23:45:33 INFO - eip = 0x56636990 esp = 0xffa5ba20 ebp = 0xffa5ba58 ebx = 0x5666c000
[task 2019-04-26T23:45:33.801Z] 23:45:33 INFO - esi = 0x00000014 edi = 0xffa5baf4
[task 2019-04-26T23:45:33.801Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.802Z] 23:45:33 INFO - 18 libc-2.23.so + 0x18637
[task 2019-04-26T23:45:33.802Z] 23:45:33 INFO - eip = 0xf73ad637 esp = 0xffa5ba60 ebp = 0x00000000 ebx = 0x00000000
[task 2019-04-26T23:45:33.802Z] 23:45:33 INFO - esi = 0xf7547000 edi = 0xf7547000
[task 2019-04-26T23:45:33.803Z] 23:45:33 INFO - Found by: call frame info
[task 2019-04-26T23:45:33.803Z] 23:45:33 INFO - 19 libc-2.23.so + 0x1b2000
[task 2019-04-26T23:45:33.804Z] 23:45:33 INFO - eip = 0xf7547000 esp = 0xffa5ba7c ebp = 0x00000000
[task 2019-04-26T23:45:33.804Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.805Z] 23:45:33 INFO - 20 ld-2.23.so + 0x24c04
[task 2019-04-26T23:45:33.805Z] 23:45:33 INFO - eip = 0xf77cec04 esp = 0xffa5ba80 ebp = 0x00000000
[task 2019-04-26T23:45:33.805Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.806Z] 23:45:33 INFO - 21 ld-2.23.so + 0x24000
[task 2019-04-26T23:45:33.806Z] 23:45:33 INFO - eip = 0xf77ce000 esp = 0xffa5ba84 ebp = 0x00000000
[task 2019-04-26T23:45:33.807Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.807Z] 23:45:33 INFO - 22 libc-2.23.so + 0x1b2000
[task 2019-04-26T23:45:33.807Z] 23:45:33 INFO - eip = 0xf7547000 esp = 0xffa5ba8c ebp = 0x00000000
[task 2019-04-26T23:45:33.808Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.808Z] 23:45:33 INFO - 23 libc-2.23.so + 0x1b2000
[task 2019-04-26T23:45:33.808Z] 23:45:33 INFO - eip = 0xf7547000 esp = 0xffa5ba90 ebp = 0x00000000
[task 2019-04-26T23:45:33.809Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.809Z] 23:45:33 INFO - 24 firefox-bin + 0x1f53c
[task 2019-04-26T23:45:33.809Z] 23:45:33 INFO - eip = 0x5664f53c esp = 0xffa5bab0 ebp = 0x00000000
[task 2019-04-26T23:45:33.810Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.810Z] 23:45:33 INFO - 25 ld-2.23.so + 0x15010
[task 2019-04-26T23:45:33.810Z] 23:45:33 INFO - eip = 0xf77bf010 esp = 0xffa5bab8 ebp = 0x00000000
[task 2019-04-26T23:45:33.811Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.811Z] 23:45:33 INFO - 26 ld-2.23.so + 0xf880
[task 2019-04-26T23:45:33.812Z] 23:45:33 INFO - eip = 0xf77b9880 esp = 0xffa5babc ebp = 0x00000000
[task 2019-04-26T23:45:33.812Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.813Z] 23:45:33 INFO - 27 firefox-bin!_fini + 0xa74c
[task 2019-04-26T23:45:33.813Z] 23:45:33 INFO - eip = 0x5666c000 esp = 0xffa5bac0 ebp = 0x00000000
[task 2019-04-26T23:45:33.813Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.814Z] 23:45:33 INFO - 28 firefox-bin + 0x1f53c
[task 2019-04-26T23:45:33.814Z] 23:45:33 INFO - eip = 0x5664f53c esp = 0xffa5bac8 ebp = 0x00000000
[task 2019-04-26T23:45:33.815Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.815Z] 23:45:33 INFO - 29 firefox-bin!_start + 0x31
[task 2019-04-26T23:45:33.815Z] 23:45:33 INFO - eip = 0x5664f56d esp = 0xffa5bad0 ebp = 0x00000000
[task 2019-04-26T23:45:33.816Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.816Z] 23:45:33 INFO - 30 firefox-bin + 0x6850
[task 2019-04-26T23:45:33.816Z] 23:45:33 INFO - eip = 0x56636850 esp = 0xffa5bad4 ebp = 0x00000000
[task 2019-04-26T23:45:33.817Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.817Z] 23:45:33 INFO - 31 firefox-bin!__libc_csu_fini + 0x10
[task 2019-04-26T23:45:33.817Z] 23:45:33 INFO - eip = 0x56661820 esp = 0xffa5bae0 ebp = 0xffa5baf4
[task 2019-04-26T23:45:33.818Z] 23:45:33 INFO - Found by: stack scanning
[task 2019-04-26T23:45:33.818Z] 23:45:33 INFO - 32 0xffa5cc9a
[task 2019-04-26T23:45:33.818Z] 23:45:33 INFO - eip = 0xffa5cc9a esp = 0xffa5bafc ebp = 0xffa5cc5b
[task 2019-04-26T23:45:33.819Z] 23:45:33 INFO - Found by: previous frame's frame pointer

Kyle, could you please assign this to someone?

Flags: needinfo?(kyle)
Whiteboard: [stockwell needswork:owner]

Looks like this might be due to Bug 1522637, possibly because mSessionHistory is null? https://searchfox.org/mozilla-central/source/docshell/base/nsDocShell.cpp#13096

Flags: needinfo?(kyle) → needinfo?(nika)

Yeah, I think this is a null pointer check failure. IIRC it's totally possible to not have session history enabled for a nsDocShell, so we should support it being null in this function.

Flags: needinfo?(nika)
Assignee: nobody → nika
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9b3e897d5a6a
Part 1: Handle a null mSessionHistory in ResumeRedirectedLoad, r=qdot
https://hg.mozilla.org/integration/autoland/rev/2ed4342ee7cc
Part 2: Don't attempt to resume loading within in a destroyed docshell, r=qdot
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
You need to log in before you can comment on or make changes to this bug.